package com.zipcodewilmington.productmanager;


import java.util.List;
import java.util.Scanner;

/**
 * Created by leon on 1/10/18.
 */
public class MainApplication {

    public static void main(String[] args){
        Inventory inventory= new Inventory();
        Scanner scanner = new Scanner(System.in);


        while(true) {
            System.out.println(getWelcomeMessage());

            String userInput = scanner.nextLine();
            if (userInput.equals("view")) {
                String view = inventory.toString();
            } else if (userInput.equals("add")) {
                addProduct(inventory, scanner);
            } else if (userInput.equals("remove")) {
                System.out.println("what is the id?");
                Integer id = Integer.parseInt(scanner.nextLine());
                inventory.removeById(id);
            }

            if(userInput.equals("quit")){
                break;
            }

            System.out.println(inventory.getProductList());
            printInventory(inventory);
        }

    }

    private static String getWelcomeMessage() {
        return new StringBuilder()
        .append("Welcome to my ineventory\n")
        .append("From here, you can")
        .append("[ view ]")
        .append("[ add ]")
        .append("[ remove ]")
        .append("products.")
        .toString();
    }

    private static void printInventory(Inventory inventory) {
        List<Product> productList= inventory.getProductList();
        for(int x = 0; x < productList.size(); x++){
            Product product= productList.get(x);
            product.getPrice();
            product.getQuantity();
            product.getId();
            System.out.println(product.getPrice() + " : " + product.getId() + " : " + product.getQuantity());
        }
    }

    private static void addProduct(Inventory inventory, Scanner scanner) {
        System.out.println("What is the price?");
        Double price = Double.parseDouble(scanner.nextLine());

        System.out.println("What is the id?");
        Integer id = Integer.parseInt(scanner.nextLine());

        System.out.println("What is the quantity?");
        Integer quantity = Integer.parseInt(scanner.nextLine());

        inventory.add(new Product(price, id, quantity));
    }
}


