package com.zipcodewilmington.productmanager;
import org.junit.Assert;
import org.junit.Test;
/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {
@Test
    public void testConstructor(){
    //given
    double price=50.7;
    int id=1;
    int quantity=4;

    //when
    Product product = new Product(price,id, quantity);

    //them
    Assert.assertEquals(price, product.getPrice(),0.001);
    Assert.assertEquals(id, product.getId());
    Assert.assertEquals(quantity, product.getQuantity());
}

@Test
    public void testsetPrice(){
    Product p = new Product(50.7, 1, 2);
    double expected =50.7;

    p.setPrice(expected);

    Assert.assertEquals(expected, p.getPrice(),0.001);
    }

    @Test
    public void testsetId(){
        Product p = new Product(50.7,1,2);
        int expected =1;

        p.setId(expected);

        Assert.assertEquals(expected, p.getId());
    }

    @Test
    public void testsetQuantity(){
        Product p = new Product(50.7,1,5);
       int expected =5;

        p.setQuantity(expected);

        Assert.assertEquals(expected, p.getQuantity());


    }
}
